using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.DTO.Common;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.DTO.Consultation
{
    /// <summary>
    /// 会诊列表信息
    /// </summary>
    public class ConsultationPageDTO
    {
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;

        /// <summary>
        /// 会诊状态
        /// </summary>
        /// <value>1</value>
        public TransactionStatusEnum ConsultationStatus { get; set; } = TransactionStatusEnum.Applied;

        /// <summary>
        /// 患者姓名
        /// </summary>
        /// <value>	马丽</value>
        public string PatientName { get; set; } = string.Empty;

        /// <summary>
        /// 患者手机号
        /// </summary>
        /// <value>138xxxxxxxx</value>
        public string Phone { get; set; } = string.Empty;

        /// <summary>
        /// 患者性别
        /// </summary>
        /// <value>Female</value>
        public string Sex { get; set; } = "Female";

        /// <summary>
        /// 患者年龄
        /// </summary>
        /// <value>2岁</value>
        public string PatientAge { get; set; } = "";

        /// <summary>
        /// 申请医院名称
        /// </summary>
        /// <value>申请医院</value>
        public string ApplyOrganizationName { get; set; } = string.Empty;

        /// <summary>
        /// 会诊开始时间
        /// </summary>
        /// <value>2022-09-30T14:00:00Z</value>
        public DateTime ConsultationTime { get; set; }

        /// <summary>
        /// 会诊结束时间
        /// </summary>
        /// <value>2022-09-30T14:00:00Z</value>
        public DateTime ConsultationTimeEnd { get; set; }

        /// <summary>
        /// 会诊专家名称
        /// </summary>
        /// <value>菲儿</value>
        public string ExpertUserName { get; set; } = string.Empty;

        /// <summary>
        /// 会诊评价
        /// </summary>
        /// <value>好评</value>
        public EvaluateGradeEnum ConsultationEvaluate { get; set; }

        /// <summary>
        /// 是否急诊标识
        /// </summary>
        /// <value></value>
        public bool IsEmergency { get; set; }

        /// <summary>
        /// 急诊code
        /// </summary>
        /// <value></value>
        public string EmergencyCode { get; set; }

    }
}