using System.Collections.Generic;
using System.Threading.Tasks;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.CourseEnum;
using WingInterfaceLibrary.Result;
using WingInterfaceLibrary.DTO.Courses;
using System;
namespace WingInterfaceLibrary.DTO.Courses
{

    /// <summary>
    /// 课程详细信息
    /// </summary>
    public class CourseInfoDetailDTO : BaseCourseInfoDTO
    {

    }

    /// <summary>
    /// 基础课程信息对象
    /// </summary>
    public class BaseCourseInfoDTO
    {

        /// <summary>
        ///  课程编码
        /// </summary>
        /// <value>12334e</value>
        public string Code { get; set; }

        /// <summary>
        /// 课程名称
        /// </summary>
        /// <value>TestCourse</value>
        public string Name { get; set; }

        /// <summary>
        /// 课程简介
        /// </summary>
        ///  <value>Test course dec</value>
        public string CourseIntro { get; set; }

        /// <summary>
        /// 教师编码
        /// </summary>
        /// <value>04669519BF9544489E4DB547E1C01322</value>
        public string TeacherCode { get; set; }

        /// <summary>
        /// 教师名称
        /// </summary>
        /// <value>Test teacher name</value>
        public string TeacherName { get; set; }

        /// <summary>
        /// 封面图，课程海报
        /// </summary>
        /// <value>https://flyinsono-bj-1300984704.cos.ap-beijing.myqcloud.com/0B7B494B7A7044F3ADE0FCF8C0422700.png</value>
        public string Poster { get; set; }

        /// <summary>
        /// 课程预计开始时间
        /// </summary>
        /// <value>2022-03-15T12:53:29.889Z</value>
        public DateTime StartTime { get; set; }

        /// <summary>
        /// 课程时长【单位分钟】
        /// </summary>
        /// <value>120</value>
        public int Duration { get; set; }

        /// <summary>
        /// 课程分类
        /// </summary>
        /// <value>1</value>
        public CourseTypeEnum CourseType { get; set; }

        /// <summary>
        /// 课程规模类型
        /// </summary>
        /// <value>1</value>
        public CourseAudienceTypeEnum AudienceType { get; set; }

        /// <summary>
        /// 课件地址
        /// </summary>
        /// <value>https://flyinsono-bj-1300984704.cos.ap-beijing.myqcloud.com/0B7B494B7A7044F3ADE0FCF8C0422700.png</value>
        public string CoursewareToken { get; set; }

        /// <summary>
        /// 课程状态
        /// </summary>
        /// <value>1</value>
        public CourseStatusEnum Status { get; set; }

        /// <summary>
        /// 创建人
        /// </summary>
        /// <value>12345</value>
        public string CreatorCode { get; set; }

        /// <summary>
        /// 创建机构code
        /// </summary>
        /// <value>1234</value>
        public string OrganizationCode { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        /// <value>2022-01-15T12:53:29.889Z</value>
        public DateTime CreateTime{ get; set; }
    }
}