namespace WingInterfaceLibrary.Enum.NotificationEnum
{
    /// <summary>
    /// 通知消息枚举类型
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称|代码 | 文件类型描述</remarks>
    public enum NotificationTypeEnum
    {
        /// <summary>
        /// Unknown|0| 未知
        /// </summary>
        Unknown = 0,
        
        /// <summary>
        /// ChatMsgNotification|1| 聊天通知
        /// </summary>
        ChatMsgNotification = 1,

        /// <summary>
        /// TokenReplacedNotification|2| 账号被替换登出通知
        /// </summary>
        TokenReplacedNotification = 2,

        /// <summary>
        /// DisconnectNotification| 3|与服务器断开连接通知
        /// </summary>
        DisconnectNotification = 3,

        /// <summary>
        /// ConnectionNotification| 4|	与服务器已连接通知
        /// </summary>
        ConnectionNotification = 4,

        /// <summary>
        /// ExamRecordsFinishedNotification| 5 | 完成检查通知
        /// </summary>
        ExamRecordsFinishedNotification = 5,

        /// <summary>
        /// RejectApplyConsultationNotification| 6 | 拒绝预约申请的通知
        /// </summary>
        RejectApplyConsultationNotification = 6,

        /// <summary>
        /// CancelInvitingInLiveConsultationNotification| 7 | 取消会诊过程中邀请其他成员的通知
        /// </summary>
        CancelInvitingInLiveConsultationNotification = 7,

        /// <summary>
        /// InviteInLiveConsultationNotification| 8 | 会诊过程中邀请其他成员的通知
        /// </summary>
        InviteInLiveConsultationNotification = 8,

        /// <summary>
        /// InviteInLiveConsultationNotification| 9 | 会诊开始前提醒的通知
        /// </summary>
        ConsultationRemindNotification = 9,

        /// <summary>
        /// PasswordExpiredWarningNotification| 10 | 用户密码过期预警通知
        /// </summary>
        PasswordExpiredWarningNotification = 10,

        /// <summary>
        /// InviteLiveConsultationNotification| 11 | 开始会诊的通知
        /// </summary>
        InviteLiveConsultationNotification = 11,

        /// <summary>
        /// AcceptLiveConsultationNotification| 12 | 接受会诊的通知
        /// </summary>
        AcceptLiveConsultationNotification = 12,

        /// <summary>
        /// RejectLiveConsultationNotification| 13 | 拒绝会诊的通知
        /// </summary>
        RejectLiveConsultationNotification = 13,

        /// <summary>
        /// InviteLiveConsultationToDeviceNotification| 14 | 开始会诊通知 to 设备端
        /// </summary>
        InviteLiveConsultationToDeviceNotification = 14,

        /// <summary>
        /// CancelLiveConsultationNotification| 15 | 取消会诊通知
        /// </summary>
        CancelLiveConsultationNotification = 15,

        /// <summary>
        /// CloseLiveConsultationNotification| 16 | 关闭会诊通知
        /// </summary>
        CloseLiveConsultationNotification = 16,

        /// <summary>
        /// JoinLiveConsultationNotification| 17 | 进入会诊通知
        /// </summary>
        JoinLiveConsultationNotification = 17,

        /// <summary>
        /// NetworkErrConsultationNotification| 18 | 网络质量不佳会诊通知
        /// </summary>
        NetworkErrConsultationNotification = 18,

        /// <summary>
        /// LeaveConsultationNotification| 19 | 离开会诊通知
        /// </summary>
        LeaveConsultationNotification = 19,

        /// <summary>
        /// JoinInLiveConsultationNotification| 20 | 会诊中加入房间
        /// </summary>
        JoinInLiveConsultationNotification = 20,

        /// <summary>
        /// RejectLiveConsultationNotification| 21 | 拒绝会诊的通知
        /// </summary>
        RejectInviteLiveConsultationNotification = 21,

        /// <summary>
        /// ApplyConsultationNotification| 22 | 会诊申请通知
        /// </summary>
        ApplyConsultationNotification = 22,

        /// <summary>
        /// ApprovalApplyConsultationNotification| 23 | 批准申请会诊通知
        /// </summary>
        ApprovalApplyConsultationNotification = 23,

        /// <summary>
        /// InviteeConsultationNotification| 24 | 会诊受邀请人通知
        /// </summary>
        InviteeConsultationNotification = 24,

        /// <summary>
        /// InviteeApproveApplyConsultationNotification| 25 | 会诊受邀请参与人同意通知
        /// </summary>
        InviteeApproveApplyConsultationNotification = 25,

        /// <summary>
        /// InviteeRejectApplyConsultationNotification| 26 | 会诊受邀请参与人拒绝通知
        /// </summary>
        InviteeRejectApplyConsultationNotification = 26,

        /// <summary>
        /// MuteLiveConsultationNotification| 27 | 开启关闭静音
        /// </summary>
        MuteLiveConsultationNotification = 27,

        /// <summary>
        /// SwitchLiveConsultationVideoNotification| 28 | 开启关闭视频
        /// </summary>
        SwitchLiveConsultationVideoNotification = 28,

        /// <summary>
        /// HeartRateJoinConsultationNotification| 29 | 会诊心跳，进入房间
        /// </summary>
        HeartRateJoinConsultationNotification = 29,

        /// <summary>
        /// HeartRateLeaveConsultationNotification| 30 | 会诊心跳，离开房间
        /// </summary>
        HeartRateLeaveConsultationNotification = 30,

        /// <summary>
        /// CloseLiveConsultationToDeviceNotification| 31 | 关闭会诊通知 to 设备端
        /// </summary>
        CloseLiveConsultationToDeviceNotification = 31,

        /// <summary>
        /// CancelLiveConsultationToDeviceNotification| 32 | 取消会诊通知 to 设备端
        /// </summary>
        CancelLiveConsultationToDeviceNotification = 32,

        /// <summary>
        /// AnnouncementPublishNotification| 33 | 公告/广播通知 to 客户端
        /// </summary>
        AnnouncementPublishNotification = 33,

        /// <summary>
        /// SendInteractiveBoardDataNotification| 34 | 互动白板数据通知 to 客户端
        /// </summary>
        SendInteractiveBoardDataNotification = 34,

    }
}