using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Common;
using WingInterfaceLibrary.Request;
using WingInterfaceLibrary.LiveConsultation.Enums;
namespace WingInterfaceLibrary.LiveConsultation.Consultation
{
    /// <summary>
    /// 申请急诊请求实体
    /// </summary>
    public class ApplyEmergencyTreatmentRequest : TokenRequest
    {
        /// <summary>
        /// 会诊专家编码
        /// </summary>
        /// <value>UserDO_123456789</value>        
        /// <code>0</code>
        public string ExpertUserCode { get; set; } = string.Empty;

        /// <summary>
        /// </summary>
        /// 物理唯一码
        /// <value>DeviceUniqueCode</value>
        public string DeviceUniqueCode { get; set; } = string.Empty;

        /// <summary>
        /// 急诊code
        /// </summary>
        /// <value>DeviceUniqueCode</value>
        public string EmergencyCode { get; set; } = string.Empty;

    }
}