using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.LiveConsultation.Enums;
using WingInterfaceLibrary.Request;

namespace WingInterfaceLibrary.LiveConsultation.Consultation
{
    /// <summary>
    /// 分页查询会诊记录请求实体
    /// </summary>
    public class FindConsultationByPageRequest : PageRequest
    {
        /// <summary>
        /// 关键字
        /// </summary>
        /// <value>马丽</value>
        /// <code>0</code>
        public string Keyword { get; set; } = string.Empty;

        /// <summary>
        /// 会诊日期，起【页面选择无需时分秒】
        /// </summary>
        /// <value>2022-11-10</value>
        /// <code>0</code>
        public DateTime StartDate { get; set; }

        /// <summary>
        /// 会诊日期，止【页面选择无需时分秒】
        /// </summary>
        /// <value>2022-12-10</value>
        /// <code>0</code>
        public DateTime EndDate { get; set; }

        /// <summary>
        /// 状态
        /// </summary>
        /// <value>0</value>
        /// <code>0</code>
        public QueryConsultationStatusEnum ConsultationStatus { get; set; }

        /// <summary>
        /// 会诊查询类型枚举
        /// </summary>
        /// <value>0</value>
        /// <code>0</code>
        public ConsultationQueryTypeEnum ConsultationQueryType { get; set; }

        /// <summary>
        /// 会诊评价
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public QueryEvaluateGradeEnum EvaluateGrade { get; set; }

        /// <summary>
        /// 语言地区码
        /// </summary>
        /// <value>zh-CN或en-US</value>
        /// <code>0</code>
        public string Language { get; set; } = "zh-CN";
    }
}