using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.LiveConsultation.Enums;
using WingInterfaceLibrary.Request;

namespace WingInterfaceLibrary.DB.Request
{
    /// <summary>
    /// 查询会诊记录分页
    /// </summary>
    public class GetConsultationRecordPagesDBRequest : PageFilterRequest
    {
        /// <summary>
        /// usercode
        /// </summary>
        /// <value></value>
        public string UserCode { get; set; }       

        /// <summary>
        /// 关键字【姓名、申请单位、年龄、性别】
        /// </summary>
        /// <value>马丽</value>
        /// <code>0</code>
        public string Keyword { get; set; } = string.Empty;
 
        /// <summary>
        /// 会诊日期，起
        /// </summary>
        /// <value>2022-08-27</value>
        public DateTime StartDate { get; set; }

        /// <summary>
        /// 会诊日期，止
        /// </summary>
        /// <value>2022-08-27</value>
        public DateTime EndDate { get; set; }

        /// <summary>
        /// 状态
        /// </summary>
        /// <value></value>
        public QueryConsultationStatusEnum ConsultationStatus { get; set; }

        /// <summary>
        /// 评价等级
        /// </summary>
        /// <value>0</value>
        public QueryEvaluateGradeEnum EvaluateGrade { get; set; }

        /// <summary>
        /// 会诊查询类型枚举
        /// </summary>
        /// <value>0</value>
        public ConsultationQueryTypeEnum ConsultationQueryType { get; set; }
    }


}