using System;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;

namespace WingInterfaceLibrary.Request.User
{
    /// <summary>
    /// 消息列表查询请求实体
    /// </summary>
    public class QueryMessageListRequest : PageRequest
    {
        /// <summary>
        /// 查询消息状态
        /// </summary>
        /// <value></value>
        public QueryCMSMessageStatusEnum Status { get; set; }

        /// <summary>
        /// 关键字
        /// </summary>
        /// <value></value>
        public string Keyword { get; set; }

        /// <summary>
        /// 开始时间【创建时间】
        /// </summary>
        /// <value>2022-02-28T09:21:38.861Z</value>
        public DateTime StartTime { get; set; }

        /// <summary>
        /// 截至时间【创建时间】
        /// </summary>
        /// <value>2022-03-28T09:21:38.861Z</value>
        public DateTime EndTime { get; set; }

        /// <summary>
        /// 通知类型
        /// </summary>
        /// <value>1</value>
        public NotificationTypeEnum NotificationType   { get; set; }

        /// <summary>
        /// 关联业务编码
        /// </summary>
        /// <value>4914352a75f645279f6b4ad6764cc288</value>
        public string RelevanceCode  { get; set; }
    }
}